Subject: bug#50713: 27.1; mm-inline-render-with-file should not (always?) use mm-with-unibyte-buffer

From: David Bremner <[email-masked]>
Date: Sat, 25 Sep 2021 21:44:14 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> ⚠External message: Use caution.
>
> David Bremner <[email-masked]> writes:
>
>> 1) Set mm-text-html-renderer to 'links
>> 2) Render some html like the attached partial spam containing multibyte
>> characters. Observe that the mulibyte characters are inserted as
>> individual bytes
>
> The test file you included didn't include any charset specification, so
> it's just a bunch of bytes, anyway, so there's no way for links to
> render this in any particular manner.  So I'm unable to reproduce the
> problem.
>
> Can you instead forward a complete email message that displays the
> issue?  `S D r' on one of the messages to [email-masked] should
> do the trick.
>
> (But note that spam messages are notoriously malformed, so there's often
> no correct way to display them.)

Please find attached an example mail file. It is a spam message, but it
does seem to declare utf8 charsets. It is display OK in gnus (and in
notmuch, using mm-* to process the mime parts) if mm-text-html-renderer
is 'shr, but not if it is 'links,